## pbdagcon 0~20151114%2Bgit1d12e13%2Bds

=== debian/changelog ===
pbdagcon (0~20151114+git1d12e13+ds-2) unstable; urgency=medium

  * Adjust packaging for differences in pbseqlib organization.

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 22 Jan 2016 07:43:17 -0800

pbdagcon (0~20151114+git1d12e13+ds-1) unstable; urgency=low

  * Initial release (Closes: #796644)

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 11 Dec 2015 00:54:39 -0800
