=== debian/control ===
Source: pbdagcon
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
	Afif Elghraoui <afif@ghraoui.name>,
Build-Depends:
	debhelper (>= 9),
	libboost-dev,
	libtclap-dev,
	libpbdata-dev,
	libblasr-dev,
	libpbihdf-dev,
# Test-Depends:
	libgtest-dev,
Standards-Version: 3.9.6
Homepage: https://github.com/PacificBiosciences/pbdagcon
Vcs-Git: git://anonscm.debian.org/debian-med/pbdagcon.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/pbdagcon.git

Package: pbdagcon
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	libpbdata,
	libblasr,
Suggests:
	blasr,
Description: sequence consensus using directed acyclic graphs
 pbdagcon is a tool that implements DAGCon (Directed Acyclic Graph Consensus)
 which is a sequence consensus algorithm based on using directed acyclic
 graphs to encode multiple sequence alignment.
 .
 It uses the alignment information from blasr to align sequence reads to a
 "backbone" sequence. Based on the underlying alignment directed acyclic graph
 (DAG), it will be able to use the new information from the reads to find the
 discrepancies between the reads and the "backbone" sequences. A dynamic
 programming process is then applied to the DAG to find the optimum sequence
 of bases as the consensus. The new consensus can be used as a new backbone
 sequence to iteratively improve the consensus quality.
 .
 While the code is developed for processing PacBio(TM) raw sequence data,
 the algorithm can be used for general consensus purpose. Currently, it only
 takes FASTA input. For shorter read sequences, one might need to adjust the
 blasr alignment parameters to get the alignment string properly.
 .
 The code and the underlying graphical data structure have been used for some
 algorithm development prototyping including phasing reads and pre-assembly.
