=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

export boost := /usr/include/boost
export BLASR := /usr/include/blasr
export PBDATA := /usr/include/pbdata
export gtest := /usr/src/gtest

LIBBLASR = /usr/lib/$(DEB_HOST_MULTIARCH)/blasr
LIBPBDATA = /usr/lib/$(DEB_HOST_MULTIARCH)/pbdata
LIBPBIHDF = /usr/lib/$(DEB_HOST_MULTIARCH)/pbihdf

export DEB_LDFLAGS_MAINT_APPEND = -L$(LIBBLASR) -L$(LIBPBDATA)
export LD_RUN_PATH=$(LIBBLASR):$(LIBPBDATA):$(LIBPBIHDF)

%:
	dh $@ --parallel
