=== debian/watch ===
version=3

# There are no formal upstream releases
