## pbdagcon 0.3%2B20161121%2Bds

=== debian/changelog ===
pbdagcon (0.3+20161121+ds-1) unstable; urgency=medium

  * New upstream revision (upstream git 87f393f)
  * Include repository's submodules
  * Base package versioning on program versions indicated in the source code
  * Build with pbbam (Closes: #848755)
  * Use pbseqlib metapackages as dependencies
  * Build dazcon
  * Activate build-time tests
  * Use debhelper compat 10

 -- Afif Elghraoui <afif@debian.org>  Wed, 21 Dec 2016 01:18:19 -0800

pbdagcon (0~20160325+ds-1) unstable; urgency=medium

  * Imported Upstream version 0~20160325+ds
    (upstream git revision f19aed1)
  * Do not use rpath for pbseqlib
  * Update patches
  * d/rules: update for changes to build system and dependencies
  * Do not build dazcon for now (needs additional sources)
  * d/copyright: Remove obsolete declarations

 -- Afif Elghraoui <afif@debian.org>  Sun, 23 Oct 2016 19:43:31 -0700

pbdagcon (0~20151114+git1d12e13+ds-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.8
  * Update email address and bump copyright year
  * Use encrypted protocols for VCS URLs
  * Do not use -isystem while building (Closes: #831105)

 -- Afif Elghraoui <afif@debian.org>  Thu, 04 Aug 2016 00:42:55 -0700
