=== debian/changelog ===
pbdagcon (0.3+20161121+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Disable build-time tests requiring the unavailable googletest
    package.

 -- Afif Elghraoui <afif@debian.org>  Wed, 26 Apr 2017 01:43:28 -0400

pbdagcon (0~20151114+git1d12e13+ds-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Wed, 27 Jan 2016 22:22:37 -0800
