=== debian/control ===
--- 
+++ 
@@ -3,28 +3,30 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders:
-	Afif Elghraoui <afif@ghraoui.name>,
+	Afif Elghraoui <afif@debian.org>,
 Build-Depends:
-	debhelper (>= 9),
+	debhelper (>= 10),
+	python,
+	zlib1g-dev,
+	libhdf5-dev,
 	libboost-dev,
 	libtclap-dev,
-	libpbdata-dev,
-	libblasr-dev,
-	libpbihdf-dev,
+	libpbseq-dev,
+	libpbbam-dev,
 # Test-Depends:
-	libgtest-dev,
-Standards-Version: 3.9.6
+#	googletest,
+Standards-Version: 3.9.8
 Homepage: https://github.com/PacificBiosciences/pbdagcon
-Vcs-Git: git://anonscm.debian.org/debian-med/pbdagcon.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/pbdagcon.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/pbdagcon.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pbdagcon.git
 
 Package: pbdagcon
 Architecture: any
 Depends:
 	${shlibs:Depends},
 	${misc:Depends},
-	libpbdata,
-	libblasr,
+	libpbseq,
+	libpbbam,
 Suggests:
 	blasr,
 Description: sequence consensus using directed acyclic graphs
