=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

GTEST = /usr/src/googletest/googletest
export GTEST_INCLUDE := $(GTEST)/include
export GTEST_SRC := $(GTEST)/src

PBSEQ_BASE=/usr/include/pbseq
export LIBBLASR_INCLUDE = $(PBSEQ_BASE)/alignment
export LIBPBDATA_INCLUDE = $(PBSEQ_BASE)/pbdata
export LIBPBIHDF_INCLUDE = $(PBSEQ_BASE)/hdf
export HDF5_LIB = /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial

export DALIGNER_SRC = $(CURDIR)/DALIGNER
export DAZZ_DB_SRC = $(CURDIR)/DAZZ_DB

%:
	dh $@

override_dh_auto_configure:
	./configure.py --shared

override_dh_auto_test: ;
