## pbdagcon 0.3+git20161121.0000000+ds

=== debian/changelog ===
pbdagcon (0.3+git20161121.0000000+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove manual dependencies on libpbbam, version build
    dependency on libpbbam-dev to ensure a proper dependency
    is generated.

 -- Adrian Bunk <bunk@debian.org>  Wed, 06 Feb 2019 09:20:03 +0200

pbdagcon (0.3+git20161121.0000000+ds-1) unstable; urgency=low

  * Team upload

  [ Afif Elghraoui ]
  * Add README.source

  [ Andreas Tille ]
  * d/watch: use git mode to detect new upstream commit
  * Reimport old source with version number fitting git mode
  * d/get-orig-source: checkout submodules for code copy of DALIGNER and
    DAZZ_DB which are specific adaptations to pbdagcon
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Build-Depends: libpbdata-dev
    Closes: #916576
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Mon, 04 Feb 2019 15:36:14 +0100
