=== debian/control ===
--- 
+++ 
@@ -1,34 +1,30 @@
 Source: pbdagcon
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Afif Elghraoui <afif@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders:
-	Afif Elghraoui <afif@debian.org>,
-Build-Depends:
-	debhelper (>= 10),
-	python,
-	zlib1g-dev,
-	libhdf5-dev,
-	libboost-dev,
-	libtclap-dev,
-	libpbseq-dev,
-	libpbbam-dev,
+Build-Depends: debhelper (>= 12~),
+               python,
+               zlib1g-dev,
+               libhdf5-dev,
+               libboost-dev,
+               libtclap-dev,
+               libpbseq-dev,
+               libpbbam-dev (>= 0.18.0+dfsg-1~),
+               libpbdata-dev,
 # Test-Depends:
-#	googletest,
-Standards-Version: 3.9.8
+               googletest
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/pbdagcon
+Vcs-Git: https://salsa.debian.org/med-team/pbdagcon.git
 Homepage: https://github.com/PacificBiosciences/pbdagcon
-Vcs-Git: https://anonscm.debian.org/git/debian-med/pbdagcon.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pbdagcon.git
 
 Package: pbdagcon
 Architecture: any
-Depends:
-	${shlibs:Depends},
-	${misc:Depends},
-	libpbseq,
-	libpbbam,
-Suggests:
-	blasr,
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libpbseq
+Suggests: blasr
 Description: sequence consensus using directed acyclic graphs
  pbdagcon is a tool that implements DAGCon (Directed Acyclic Graph Consensus)
  which is a sequence consensus algorithm based on using directed acyclic
