=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 export LIBBLASR_INCLUDE = $(PBSEQ_BASE)/alignment
 export LIBPBDATA_INCLUDE = $(PBSEQ_BASE)/pbdata
 export LIBPBIHDF_INCLUDE = $(PBSEQ_BASE)/hdf
+export PBBAM_INCLUDE = $(PBSEQ_BASE)
 export HDF5_LIB = /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
 
 export DALIGNER_SRC = $(CURDIR)/DALIGNER
@@ -21,5 +22,3 @@
 
 override_dh_auto_configure:
 	./configure.py --shared
-
-override_dh_auto_test: ;
