## pbdagcon 0.3+git20180411.c14c422+dfsg

=== debian/changelog ===
pbdagcon (0.3+git20180411.c14c422+dfsg-8) unstable; urgency=medium

  * Team Upload.
  * d/salsa-ci.yml: Disable reprotest
  * d/t/control: Versioned test dep on blasr

 -- Nilesh Patra <nilesh@debian.org>  Thu, 10 Mar 2022 10:59:06 +0530

pbdagcon (0.3+git20180411.c14c422+dfsg-7) unstable; urgency=medium

  * Team Upload.
  * Versioned Build-Depends and Depends on
    pbseqlib based binary packages to pass debci
  * Drop Pranav from uploaders
    + Thanks for your work so far
  * d/rules: Drop DEB_CFLAGS_MAINT_APPEND (fixes FTBFS)
  * d/p/compiler-flags.patch: Remove forcing -std=c++14

 -- Nilesh Patra <nilesh@debian.org>  Thu, 10 Mar 2022 01:01:16 +0530

pbdagcon (0.3+git20180411.c14c422+dfsg-6) unstable; urgency=medium

  * Rebuild against libpbcopper
    Closes: #1005437

 -- Andreas Tille <tille@debian.org>  Sun, 13 Feb 2022 14:03:08 +0100

pbdagcon (0.3+git20180411.c14c422+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Fix FTCBFS (Closes: #983630)
  * Do not override compiler flags in tests either
  * Disable CI on i386

 -- Nilesh Patra <nilesh@debian.org>  Sun, 21 Nov 2021 16:07:06 +0530

pbdagcon (0.3+git20180411.c14c422+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * Add Test-dep on dazzdb, blasr, daligner to
    fix autopkgtests (Closes: #996985)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 22 Oct 2021 17:11:58 +0530

pbdagcon (0.3+git20180411.c14c422+dfsg-3) unstable; urgency=medium

  * No versioned depends libpbcopper-dev
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 08 Oct 2021 16:08:30 +0200

pbdagcon (0.3+git20180411.c14c422+dfsg-2) unstable; urgency=medium

  * Add autopkgtests
  * Install docs
  * Add Pranav Ballaney to Uploaders
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Mon, 24 Aug 2020 01:04:20 +0530

pbdagcon (0.3+git20180411.c14c422+dfsg-1) unstable; urgency=medium

  * Add myself to Uploaders to have at least one human uploader after
    Afif removed himself.
  * Run 2to3 on Python2 files to try a Python3 port
    Closes: #937254
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * Build-Depends: s/python/python3/
  * Build-Depends: libpbcopper-dev, libpbihdf-dev
  * Replace outdated code copies of DAZZ_DB
    Closes: #949542
  * Latest libpbihdf and libpbdata are header only libs
  * Drop outdated copy of DAZZ_DB here
  * Recommend creating a real library in README.source
  * Versioned (Build-)Depends

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jan 2020 11:13:47 +0100
