=== debian/control ===
--- 
+++ 
@@ -1,29 +1,31 @@
 Source: pbdagcon
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
-               python,
+Build-Depends: debhelper-compat (= 13),
+               python3:any,
                zlib1g-dev,
                libhdf5-dev,
                libboost-dev,
                libtclap-dev,
-               libpbseq-dev,
-               libpbbam-dev (>= 0.18.0+dfsg-1~),
-               libpbdata-dev,
-# Test-Depends:
-               googletest
-Standards-Version: 4.3.0
+               libpbseq-dev (>= 5.3.5+dfsg-4~),
+               libpbbam-dev,
+               libpbdata-dev (>= 5.3.5+dfsg-4~),
+               libpbcopper-dev,
+               libpbihdf-dev (>= 5.3.5+dfsg-4~),
+               googletest <!nocheck>
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/pbdagcon
 Vcs-Git: https://salsa.debian.org/med-team/pbdagcon.git
 Homepage: https://github.com/PacificBiosciences/pbdagcon
+Rules-Requires-Root: no
 
 Package: pbdagcon
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libpbseq
+         libpbseq (>= 5.3.5+dfsg-4~)
 Suggests: blasr
 Description: sequence consensus using directed acyclic graphs
  pbdagcon is a tool that implements DAGCon (Directed Acyclic Graph Consensus)
