=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,8 @@
 export PBBAM_INCLUDE = $(PBSEQ_BASE)
 export HDF5_LIB = /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
 
-export DALIGNER_SRC = $(CURDIR)/DALIGNER
-export DAZZ_DB_SRC = $(CURDIR)/DAZZ_DB
+export DALIGNER_SRC = $(CURDIR)/debian/daligner-include
+export DAZZ_DB_SRC = $(CURDIR)/debian/dazzdb-include
 
 %:
 	dh $@
