=== debian/tests/control ===
Tests: run-unit-test
Depends: @, dazzdb, blasr (>= 5.3.5+dfsg-4), daligner
Restrictions: allow-stderr
